unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ZylCustomGPSReceiver, ZylNMEADecoder;

type
  TForm1 = class(TForm)
    NMEADecoder: TZylNMEADecoder;
    inputMemo: TMemo;
    btnDecode: TButton;
    memoResult: TMemo;
    procedure btnDecodeClick(Sender: TObject);
    procedure NMEADecoderLongitudeChange(Sender: TObject; const Degree,
      Minute: Integer; const Second: Extended;
      const Direction: TCardinalPoint);
    procedure NMEADecoderLatitudeChange(Sender: TObject; const Degree,
      Minute: Integer; const Second: Extended;
      const Direction: TCardinalPoint);
    procedure NMEADecoderAltitudeChange(Sender: TObject;
      const Value: Extended);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnDecodeClick(Sender: TObject);
begin
  NMEADecoder.Decode(inputMemo.Lines.Text);
end;

procedure TForm1.NMEADecoderLongitudeChange(Sender: TObject; const Degree,
  Minute: Integer; const Second: Extended;
  const Direction: TCardinalPoint);
begin
  memoResult.Lines.Add('Longitude Changed: ' + FloatToStr(NMEADecoder.DMSToDecimalDegrees(Degree, Minute, Second, Direction)));
end;

procedure TForm1.NMEADecoderLatitudeChange(Sender: TObject; const Degree,
  Minute: Integer; const Second: Extended;
  const Direction: TCardinalPoint);
begin
  memoResult.Lines.Add('Latitude Changed: ' + FloatToStr(NMEADecoder.DMSToDecimalDegrees(Degree, Minute, Second, Direction)));
end;

procedure TForm1.NMEADecoderAltitudeChange(Sender: TObject;
  const Value: Extended);
begin
 memoResult.Lines.Add('Altitude Changed: ' + FloatToStr(Value) + ' M');
end;

end.
